These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Linux

 
  • Topic is locked indefinitely.
 

EVE Launcher for Linux

First post First post
Author
Elmore Jones
New Eden Mining Organisation
The Craftsmen
#21 - 2016-05-26 03:32:20 UTC
Tested on Ubuntu 16.04 and OpenSUSE Tumbleweed, working perfectly on both. As the Tumbleweed installation is quite fresh on my laptop only 'zypper in wine' was needed to run the game proper.

+++ Reality Error 404 - Reboot Cosmos +++

Torgeir Hekard
I MYSELF AND ME
#22 - 2016-05-26 03:32:46 UTC
Can we have a SharedCache path setting in the ~/.config/CCP/EVE.config?

Also can we do something about optimus? Currently I'm editing evelauncher.sh to add primusrun, but it resets after downloading new launcher version.

Also https does not work in IGB.
Rounon Dax
Terra Nanotech
Sev3rance
#23 - 2016-05-26 05:56:50 UTC
Thank You CCP Snorlax!

Gentoo User here, works like a charm!
Horza Balvedaa
The Scope
Gallente Federation
#24 - 2016-05-26 06:32:37 UTC
Thank you Snorlax!

It appears to work very well for me at first glance on Arch.

The only issue I have noticed for me:
In Network diagnostics -> Basic
The basic network diagnostics get stuck on looping ping.
Maybe ping needs a count.

I would also like to be able to specify wine launch programs and environmental variables such as:
primusrun wine exefile.exe
DRI_PRIME=1 glc-capture wine exefile.exe
Steam makes this possible with launch options
https://support.steampowered.com/kb_article.php?ref=6316-GJKC-7437
DRI_PRIME=1 glc-capture %command%
g0nz028
25 Steal Industries
#25 - 2016-05-26 07:05:11 UTC
This is amazing. Keep up the good work.
Dreki Deggr
Ministry of War
Amarr Empire
#26 - 2016-05-26 08:38:46 UTC
Works flawlessly multi boxing on my Xubuntu 14.04 laptop with considerably improved performance over my previous wine build.
Torgeir Hekard
I MYSELF AND ME
#27 - 2016-05-26 09:06:59 UTC
Horza Balvedaa wrote:

It appears to work very well for me at first glance on Arch.


Does menu - Shared Cache - Show in file browser work for you?

For me it complains about QT (though maybe it would not if your default file browser is non QT).
CCP Snorlax
C C P
C C P Alliance
#28 - 2016-05-26 10:07:10 UTC
Torgeir Hekard wrote:
Can we have a SharedCache path setting in the ~/.config/CCP/EVE.config?

Also can we do something about optimus? Currently I'm editing evelauncher.sh to add primusrun, but it resets after downloading new launcher version.

Also https does not work in IGB.

I'm planning on making the shared cache location configurable, expect that sometime next week.

The https issue should be fixed later today.

I'll think about a proper solution for optimus - for now, you could copy the evelauncher.sh outside the evelauncher folder and edit it appropriately, then it won't get overwritten by updates.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/

CCP Snorlax
C C P
C C P Alliance
#29 - 2016-05-26 10:07:35 UTC
Torgeir Hekard wrote:
Horza Balvedaa wrote:

It appears to work very well for me at first glance on Arch.


Does menu - Shared Cache - Show in file browser work for you?

For me it complains about QT (though maybe it would not if your default file browser is non QT).

It doesn't work for me, no, haven't had time to investigate.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/

Natzuki Akiga
Just Wing It Good
#30 - 2016-05-26 12:06:57 UTC
Thank you for doing this! Great Work!

I was able to start the game using "primusrun evelauncher.sh". Everything seems to run fine so far.
"optirun evelauncher.sh" however complains about wrong OpenGL Version:
Quote:
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
[VGL] WARNING: The OpenGL rendering context obtained on X display
[VGL] :8 is indirect, which may cause performance to suffer.
[VGL] If :8 is a local X display, then the framebuffer device
[VGL] permissions may be set incorrectly.
Unrecognized OpenGL version
Unrecognized OpenGL version


Torgeir Hekard
I MYSELF AND ME
#31 - 2016-05-26 13:13:41 UTC  |  Edited by: Torgeir Hekard
CCP Snorlax wrote:
I'll think about a proper solution for optimus - for now, you could copy the evelauncher.sh outside the evelauncher folder and edit it appropriately, then it won't get overwritten by updates.

Ah, good idea.
CCP Snorlax wrote:

It doesn't work for me, no, haven't had time to investigate

It's a QT version mismatch. If I supply native (to distro) QT libraries and softlink QtWebEngine & co. it works. The downside is, the launcher main page does not render properly. I'm interested if it works with older QT versions though.
Natzuki Akiga wrote:
I was able to start the game using "primusrun evelauncher.sh". Everything seems to run fine so far.

Did you confirm that the game itself uses discrete card?
I first tried to primusrun evelauncher.sh, and apparently it drops somewhere along the way before launching, well, the launcher itself. So both th launcher and the game are using integrated videocard (can be seen in graphics settings ingame). To use primusrun properly I had to edit the evelauncher.sh script itself (kinda like it happens with DOS:EE startup script which fails to primusrun via usual steam commandline shenanigans). Though ultimately I'd like to somehow leave the launcher itself on integrated card and only launch clients on discrete.
Orbonius Primus
The Scope
Gallente Federation
#32 - 2016-05-26 13:58:52 UTC
Thank you Based CCP Snorlax! Working without incident in Debian 8 on Gnome. I wonder though what the "Run in Direct X 9" checkbox entails if I uncheck it? Will it attempt to move up to DX11 and apply all the nice new effects or will it downgrade?
CCP Snorlax
C C P
C C P Alliance
#33 - 2016-05-26 14:02:08 UTC
Orbonius Primus wrote:
Thank you Based CCP Snorlax! Working without incident in Debian 8 on Gnome. I wonder though what the "Run in Direct X 9" checkbox entails if I uncheck it? Will it attempt to move up to DX11 and apply all the nice new effects or will it downgrade?

It will fail miserably - Wine has enough DX11 support to make EVE think it's running on DX11 but not enough to actually run it.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/

Natzuki Akiga
Just Wing It Good
#34 - 2016-05-26 14:03:21 UTC
Quote:
Did you confirm that the game itself uses discrete card?
I first tried to primusrun evelauncher.sh, and apparently it drops somewhere along the way before launching, well, the launcher itself. So both th launcher and the game are using integrated videocard (can be seen in graphics settings ingame). To use primusrun properly I had to edit the evelauncher.sh script itself (kinda like it happens with DOS:EE startup script which fails to primusrun via usual steam commandline shenanigans). Though ultimately I'd like to somehow leave the launcher itself on integrated card and only launch clients on discrete.

You are right, can you please share what you did to fix this?
Ravow
Quebecorp
Domain Research and Mining Inst.
#35 - 2016-05-26 14:13:50 UTC  |  Edited by: Ravow
Hey Snorlax, you can remove these from the launcher packages because there not used. That will make it way smaller

Also, Maybe checking .so versions during update so you don't re-download all the file you already have :)

rm libQt5Svg.*
rm libQt5Sql.*
rm libQt5Test.*
rm libQt5WebKit*
rm libQt5OpenGL.*
rm libQt5Se*
rm libQt5PrintSupport.*
rm libQt5Nfc.*
rm libQt5Multimedia*
rm libQt5Location.*
rm libQt5Help.*
rm libQt5De*.*
rm libQt5CLucene.*
rm libQt5Bluetooth.*
rm libQt53D*
rm libEnginio.*


EDIT : Also, the sound is working now, thanks!
Orbonius Primus
The Scope
Gallente Federation
#36 - 2016-05-26 14:17:02 UTC
CCP Snorlax wrote:
Orbonius Primus wrote:
Thank you Based CCP Snorlax! Working without incident in Debian 8 on Gnome. I wonder though what the "Run in Direct X 9" checkbox entails if I uncheck it? Will it attempt to move up to DX11 and apply all the nice new effects or will it downgrade?

It will fail miserably - Wine has enough DX11 support to make EVE think it's running on DX11 but not enough to actually run it.


Cool man, I'll just not click that little check box then. lol
Anne' T'neal
Viziam
Amarr Empire
#37 - 2016-05-26 15:11:00 UTC
Tested and working on Ubuntu 16.04 LTS Gnome and Debian 8 Gnome. Great work CCP_Snorlax. Not shocking at all, but without all the extra junk that MS has running in its os background, I get a few extra FPS in Ubuntu than I do in windows, plus it feels a bit more responsive. Thank you for everything!
Neirak Orlenard
GER Logistic Service
#38 - 2016-05-26 15:37:26 UTC
Thanks for the native launcher.

I've found a problem with missing text in the price history.
http://i.imgur.com/nTe0hEt.png
CCP Snorlax
C C P
C C P Alliance
#39 - 2016-05-26 15:41:27 UTC
Neirak Orlenard wrote:
Thanks for the native launcher.

I've found a problem with missing text in the price history.
http://i.imgur.com/nTe0hEt.png

Right, I had the same problem on Mac. I'll have a fix for that soon.

CCP Snorlax - Software Architect - Team RnB - @CCP_Snorlax - http://ccpsnorlax.blogspot.is/

Orbonius Primus
The Scope
Gallente Federation
#40 - 2016-05-26 15:51:07 UTC
CCP Snorlax wrote:
Neirak Orlenard wrote:
Thanks for the native launcher.

I've found a problem with missing text in the price history.
http://i.imgur.com/nTe0hEt.png

Right, I had the same problem on Mac. I'll have a fix for that soon.


That's an issue that persists in the PoL version as well.